From 600e8092d3612c0f66d65b50664e96a83a18f14c Mon Sep 17 00:00:00 2001
From: Vignesh <vignesh21@gmail.com>
Date: Wed, 26 Feb 2025 10:41:29 +0530
Subject: [PATCH v2] Enhances pg_createsubscriber documentation for the -d
 option.

Enhance pg_createsubscriber documentation to mention a) if the -database
option is not specified it will obtain the database name from
--publisher-server option. b) if the database name is either specified
in --database option or --publisher-server, an error is reported.
---
 doc/src/sgml/ref/pg_createsubscriber.sgml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/ref/pg_createsubscriber.sgml b/doc/src/sgml/ref/pg_createsubscriber.sgml
index 65caa3f5095..b4b996236e4 100644
--- a/doc/src/sgml/ref/pg_createsubscriber.sgml
+++ b/doc/src/sgml/ref/pg_createsubscriber.sgml
@@ -94,7 +94,10 @@ PostgreSQL documentation
       <para>
        The name of the database in which to create a subscription.  Multiple
        databases can be selected by writing multiple <option>-d</option>
-       switches.
+       switches. If <option>-d</option> option is not provided, the database
+       name will be obtained from <option>-P</option> option. If the database
+       name is not specified in either the <option>-d</option> option or
+       <option>-P</option> option, an error will be reported.
       </para>
      </listitem>
     </varlistentry>
-- 
2.43.0

